.\" 2000 PTM Przemek Borys <pborys@dione.ids.pl>
.\" $XConsortium: lbxproxy.man /main/9 1996/12/02 15:47:09 swick $
.\" Copyright (c) 1996  X Consortium
.\" 
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\" 
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.\" 
.TH LBXPROXY 1 "Wydanie 6.3" "X Werjsa 11"
.SH NAZWA
lbxproxy - Wskopasmowe proxy X (Low BandWidth X proxy)
.SH SKADNIA
.B lbxproxy [:<wywietlacz>] [opcja]
.SH OPIS
Aplikacje, ktre chc wykorzystywa rozszerzenie wskiego pasma X (LBX)
musz czy si z lbxproxy. Aplikacje te nie musz wiedzie nic o LBX, po
prostu musz si poczy do lbxproxy jak do normalnego serwera. Lbxproxy
przyjmuje poczenia klientw i powiela je na jednym poczeniu do serwera
X, dokonujc rnych optymalizacji protokou X, przyspieszajc poczenia
wskopasmowe.
.PP
Majc na uwadze uwierzytelnianie i autoryzacj, lbxproxy zwyczajnie
przekazuje serwerowi przedstawione przez uytkownika dokumenty
uwierzytelniajce. Poniwa do lbxproxy cz si klienci X, wanym jest by
plik .Xauthority uytkownika zawiera wpisy z prawidowymi kluczami
zwizanymi z ID sieciowym proxy. lbxproxy nie jest odpowiedzialny za
dodawanie tych wpisw do pliku .Xauthority. Odpowiedzialnym za
skonfigurowanie tego jest uytkownik.
.PP
Program lbxproxy ma rne opcje, z ktrych wszystkie s opcjonalne.
.PP
Jeli poadny jest
.BR :<wywietlacz> ,
proxy uyje podanego portu wywietlacza podczas nasuchiwania pocze. Port
wywietlacza jest offsetem od portu 6000, zupenie podobnie do sposobu
podawania normalnych wywietlaczy X. Jeli nie podano adnego portu,
lbxproxy uyje domylnego portu, 63. Jeli port ten jest zajty, proxy
zgosi komunikat o bdzie.
.PP
Innymi opcjami linii polece s:
.PP
.TP 8
.B \-help
Drukuje krtk informacj o uyciu i opcjach linii polece.
.TP 8
.B \-display \fIdpy\fP
Podaje adres serwera X, obsugujcego rozszerzenie LBX. Jeli opcja ta nie
jest podana, wywietlacz jest wyszukiwany wedug zmiennej rodowiskowej
DISPLAY.
.TP 8
.B \-motion \fIliczba\fP
W danym momencie dozwolona jest ograniczona liczba ruchw myszy, naraz
transferowanych midzy serwerem a proxy. Domylna liczba to 8.
.TP 8
.B \-[terminate|reset]
Domylnym zachowanie lbxproxy po zakoczeniu dziaa ostatniego klienta jest
dalsze dziaanie. Opcja
.B \-terminate
powoduje, e lbxproxy koczy dziaanie po zakoczeniu obsugi ostatniego
klienta. Opcja
.B \-reset
powoduje, e po zakoczeniu obsugi ostatniego klienta lbxproxy si
zresetuje. Resetowanie powoduje czyszczenie stanu i repodczenie si do
serwera.
.TP 8
.B \-reconnect
Domylne zachowanie lbxproxy to koczenie pracy gdy poczenie zostaje
zerwane. Opcja
.B \-reconnect
powoduje, e lbxproxy zamiast tego si resetuje (zobacz wyej
.BR \-reset )
i prbuje podczy na nowo do serwera.
.TP 8
.B \-I
Powoduje ignorowanie wszystkich pozostaych argumentw.
.TP 8
.B \-nolbx
Wycza optymalizacje LBX.
.TP 8
.B \-nocomp
Wycza kompresj acuchw.
.TP 8
.B \-nodelta
Wycza podstawienia da delta.
.TP 8
.B \-notags
Wycza uywanie tagw.
.TP 8
.B \-nogfx
Wycza rekodowanie da graficznych (nie liczc da zwizanych z
obrazami).
.TP 8
.B \-noimage
Wycza kompresj obrazw.
.TP 8
.B \-nosquish
Wycza [squishing] zdarze X.
.TP 8
.B \-nointernsc
Wycza zwieranie (short circuiting) da InternAtom.
.TP 8
.B \-noatomsfile
Wycza odczytywanie pliku kontroli atomw. Zobacz sekcj o "Kontroli Atomw".
.TP 8
.B \-atomsfile \fIfile\fP
Przecia domylny plik KontroliAtomw. Zobacz sekcj o "Kontroli Atomw".
.TP 8
.B \-nowinattr
Disables GetWindowAttributes/GetGeometry grouping into one round trip.
.TP 8
.B \-nograbcmap
Wycza zbieranie (grabbing) map kolorowych (colormaps).
.TP 8
.B \-norgbfile
Wycza przeksztacanie nazwy koloru na RGB w proxy.
.TP 8
.B \-rgbfile \fIcieka\fP
Podaje alternatywn baz RGB do przeksztace nazw kolorw na RGB.
.TP 8
.B \-tagcachesize
Ustawia rozmiar bufora podrcznego tagu proxy (w bajtach).
.TP 8
.B \-zlevel \fIpoziom\fP
Ustaw poziom kompresji Zlib (uywane do kompresji strumienia).
.br
domylnie jest to 9
.br
1 = najgorsza, najszybsza kompresja
.br
9 = najlepsza, najwolniejsza kompresja
.TP 8
.B \-compstats
Za kadym razem gdy proxy si resetuje, lub odbiera sygna SIGHUP, raportuj
statystyki kompresji strumienia.
.TP 8
.B \-nozeropad
Nie zeruj nieuywanych bajtw wypeniania w daniach, odpowiedziach i
zdarzeniach X.
.TP 8
.B \-cheaterrors
Zezwala  oszukiwanie protokou X w celu polepszenia wydajnoci. Protok X
gwarantuje, e wszelkie odpowiedzi, zdarzenia lub bdy, wygenerowane
poprzednim daniem bd wysyane przed wygenerowaniem odpowiedzi dla
kolejnego dania. Nakada to ograniczenia gdy lbxproxy moe zewrze
(short circuit) danie. Opcja -cheaterrors umoliwia lbxproxy pogwacenie
regu protokou X wzgldem bdw. Uywaj na wasne ryzyko.
.TP 8
.B \-cheatevents
Podobne do poprzedniej opcji, lecz zezwala na pogwacanie regu X protokou
wzgldem tak zdarze, jak i bdw. Uywaj na wasne ryzyko.
.PP
.SH KONTROLA ATOMW
.PP
Podczas uruchamiania, lbxproxy "preinstancjonuje" konfigurowaln list
atomw. Umoliwia to lbxproxy internowanie grupy atomw w pojedynczym
przebiegu (round trip) i natychmiastowe zachowanie wynikw w buforze
podrcznym.
.PP
Podczas pracy lbxproxy uywa heurystyk wspomagajcych decyzj, kiedy opni
wysyanie danych o waciwociach okna do serwera. Heurystyka zaley od
rozmiaru danych, nazwy waciwoci i tego czy poprzez lbxproxy dziaa
meneder okien.
.PP
Kontrola atomw jest okrelana w pliku "KontroliAtomw", konfigurowanym
podczas instalacji lbxproxy. Jest ona przeciana dyrektywami linii polece.
.PP
Plik ten jest zwyczajnym plikiem tekstowym. Istniej trzy postaci linii:
komentarze, kontrola dugoci i kontrola nazw. Linie rozpoczynajce si od
znaku '!' to komentarze. Linie postaci
.sp
.in +4
.nf
z \fIdugo\fP
.fi
.in -4
.sp
okrelaj maksymaln dugo w bajtach nim dane waciwoci zostan
opnione. Linia postaci
.sp
.in +4
.nf
\fIopcje\fP \fInazwaatomu\fP
.fi
.in -4
.sp
kontroluje podany atom, gdzie \fIopcje\fP s dowoln kombinacj znakw: 'i',
oznaczajcego, e atom powinien by pre-internowany; 'n', oznaczajcego, e
dane waciwoci o tej nazwie nigdy nie powinny by opniane; 'w'
oznaczajcego, e dane tej waciwoci powinny by opniane tylko jeli
meneder okien dziaa rwnie poprzez to samo lbxproxy.
